library verilog;
use verilog.vl_types.all;
entity ieb is
    port(
        clear           : in     vl_logic;
        clock           : in     vl_logic;
        clockenable     : in     vl_logic;
        iput            : in     vl_logic;
        output          : out    vl_logic
    );
end ieb;
